Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/IChartComponent.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/IChartComponent.java	(revision 2719)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/IChartComponent.java	(revision 2720)
@@ -12,17 +12,18 @@
  *
  */
 public interface IChartComponent {
-
 	
 	
+	
 	/**
 	 * Zooms the view at x and y coordinates.
+	 * 
 	 * @param x
 	 * @param y
 	 * @param zoomIn
 	 */
 	public abstract void zoom(double x, double y, boolean zoomIn);
-
+	
 	/**
 	 * Resets the view.
 	 */
@@ -30,6 +31,7 @@
 	
 	/**
 	 * Pans the view.
+	 * 
 	 * @param srcX
 	 * @param srcY
 	 * @param dstX
@@ -40,31 +42,35 @@
 	
 	/**
 	 * Gets the linked editor.
+	 * 
 	 * @return
 	 */
 	public ChartEditor getChartEditor();
 	
 	/**
 	 * Sets the linked editor.
+	 * 
 	 * @param editor
 	 */
 	public void setChartEditor(ChartEditor editor);
 	
 	/**
 	 * Updates the mouse over item selection according to the specified mouse event.
+	 * 
 	 * @param event
 	 */
 	public void updateMouseOverItem(MouseEvent event);
 	
 	/**
 	 * Checks if the component has the focus.
+	 * 
 	 * @return
 	 */
 	public boolean hasFocus();
 	
-
+	
 	/**
-	 *  Constrains axes ticks to square aspect ratio.
+	 * Constrains axes ticks to square aspect ratio.
 	 */
 	public void squareOff();
 	
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 2719)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 2720)
@@ -14,6 +14,7 @@
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.ChartsEnginesManager;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
@@ -165,11 +166,10 @@
 			ArrayList<String> chartsEngineNames = new ArrayList<>();
 			ArrayList<ChartCreator> allChartCreators = new ArrayList<>();
 			
-			for (int i = 0; i < ChartsEngine.getChartsEngines().size(); i++) {
-				ArrayList<ChartCreator> chartCreators = ChartsEngine.getChartsEngines().get(i).getChartCreators(this.getEditorPart().getResult());
-				for (int j = 0; j < chartCreators.size(); j++) {
-					chartsEngineNames.add(ChartsEngine.getChartsEngines().get(i).getName());
-					allChartCreators.add(chartCreators.get(j));
+			for (ChartsEngine engine : ChartsEnginesManager.getChartsEngines()) {
+				for (ChartCreator creator : engine.getChartCreators(this.getEditorPart().getResult())) {
+					chartsEngineNames.add(engine.getName());
+					allChartCreators.add(creator);
 				}
 			}
 			
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 2719)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 2720)
@@ -21,30 +21,32 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Chart drawing area base SWT composite.
+ * Chart drawing area based on a SWT composite. this composite should be extended to implement specific draw component (Swing, etc.)
  * 
+ * This composite can only be used with a ChartEditor and a ChartResult
+ * 
  * @author sjacquot
  *
  */
 public abstract class ChartComposite extends Composite {
-
-
-
-	protected static final String CONTEXT_MENU_EMPTY_AREA_ID =  "ChartEditorContextMenuEmptyArea"; //$NON-NLS-1$
-	protected static final String CONTEXT_MENU_ITEM_AREA_ID =  "ChartEditorContextMenuItemArea"; //$NON-NLS-1$
 	
-
+	
+	
+	protected static final String CONTEXT_MENU_EMPTY_AREA_ID = "ChartEditorContextMenuEmptyArea"; //$NON-NLS-1$
+	
+	protected static final String CONTEXT_MENU_ITEM_AREA_ID = "ChartEditorContextMenuItemArea"; //$NON-NLS-1$
+	
 	/**
 	 * Custom tool tip.
 	 */
 	// FIXME: tests HTML tool tips
 	protected ___CustomHTMLToolTip toolTip;
-
+	
 	/**
 	 * The chart component.
 	 */
 	protected IChartComponent chartComponent;
-
+	
 	/**
 	 * Context menus.
 	 */
@@ -60,24 +62,24 @@
 	 */
 	public ChartComposite(ChartEditor<ChartResult> chartEditor, Composite parent, int style) {
 		super(parent, style);
-
+		
 		this.chartEditor = chartEditor;
 		
-		this.contextMenus = new ArrayList<Menu>();
+		this.contextMenus = new ArrayList<>();
 		this.contextMenus.add(null);
 		this.contextMenus.add(null);
 	}
-
 	
 	
+	
 	/**
 	 * Loads the chart from specified data object (can be a File, an UI component, etc.).
 	 * 
 	 * @param chart
 	 */
 	public abstract void loadChart(Object chart);
-
 	
+	
 	/**
 	 * Loads or reloads the chart from the chart object stored in the linked editor input.
 	 * This method is especially used for file based implementations of charts engine for reloading a file that has been externally modified.
@@ -87,38 +89,40 @@
 	
 	/**
 	 * Loads or reloads the chart from the chart object stored in the linked editor input.
+	 * 
 	 * @param resetView
 	 * @param clearChartItemsSelection
 	 * @param squareOff
 	 */
-	public void loadChart(boolean resetView, boolean clearChartItemsSelection, boolean squareOff)	{
+	public void loadChart(boolean resetView, boolean clearChartItemsSelection, boolean squareOff) {
 		this.loadChart();
-
-		if(squareOff)	{
+		
+		if (squareOff) {
 			this.squareOff();
 		}
 		
-		if(clearChartItemsSelection)	{
+		if (clearChartItemsSelection) {
 			this.clearChartItemsSelection();
 		}
-
-		if(resetView)	{
+		
+		if (resetView) {
 			this.resetView();
 		}
 	}
-
+	
 	/**
 	 * Loads or reloads the chart from the chart object stored in the linked editor input.
+	 * 
 	 * @param resetView
 	 * @param clearChartItemsSelection
 	 */
-	public void loadChart(boolean resetView, boolean clearChartItemsSelection)	{
+	public void loadChart(boolean resetView, boolean clearChartItemsSelection) {
 		this.loadChart(resetView, clearChartItemsSelection, false);
 	}
 	
 	/**
 	 * Creates a new chart component.
-	 *  
+	 * 
 	 * @param chartsEngine
 	 * @param chartEditorInput
 	 * @return
@@ -132,28 +136,28 @@
 	 * @param chartEditorInput
 	 * @return
 	 */
-	public void createChartComponent()	{
+	public void createChartComponent() {
 		
-	//	if (!this.chartEditor.getResult().isChartDirty()) {
-			
-			Log.finest(this.getClass().getSimpleName() + ": creating a chart component...");
-			
-			this.chartComponent = this._createChartComponent();
-			this.chartComponent.setChartEditor(this.chartEditor);
-			
-			// initialize the default shared context menus as Export, etc.
-			this.initDefaultContextMenus();
-			// initialize Listeners.
-			this.initEventsListeners();
-			// register user entries event call back extensions
-			this.registerEventCallBackExtensions();
-
-			
-		//	return true;
-//		}
-//		else	{
-//			return false;
-//		}
+		// if (!this.chartEditor.getResult().isChartDirty()) {
+		
+		Log.finest(this.getClass().getSimpleName() + ": creating a chart component...");
+		
+		this.chartComponent = this._createChartComponent();
+		this.chartComponent.setChartEditor(this.chartEditor);
+		
+		// initialize the default shared context menus as Export, etc.
+		this.initDefaultContextMenus();
+		// initialize Listeners.
+		this.initEventsListeners();
+		// register user entries event call back extensions
+		this.registerEventCallBackExtensions();
+		
+		
+		// return true;
+		// }
+		// else {
+		// return false;
+		// }
 	}
 	
 	/**
@@ -165,45 +169,46 @@
 	/**
 	 * Creates the pop up menu dedicated to empty area location click event that is populated from plugin.xml.
 	 */
-	public void initEmptyAreaContextMenu()	{
+	public void initEmptyAreaContextMenu() {
 		Menu menu = TXMEditor.initContextMenu(this, CONTEXT_MENU_EMPTY_AREA_ID);
-	    this.contextMenus.set(EventCallBack.AREA_EMPTY, menu);
+		this.contextMenus.set(EventCallBack.AREA_EMPTY, menu);
 	}
-
 	
+	
 	/**
 	 * Creates the pop up menu dedicated to chart item location click event.
 	 */
-	public void initItemAreaContextMenu()	{
+	public void initItemAreaContextMenu() {
 		Menu menu = TXMEditor.initContextMenu(this, CONTEXT_MENU_ITEM_AREA_ID);
 		
-		//Menu menu = new Menu(this);
-	    //MenuItem chartEntityLabelItem = new MenuItem(menu, SWT.NONE);
-	    //chartEntityLabelItem.setText(""); // this string is dedicated to be overridden by the current selected chart entity label/name 
-
-	    // FIXME : tests
-//	    MenuItem refreshItem = new MenuItem(menu, SWT.NONE);
-//	    refreshItem.setText("Refresh");
-//	    MenuItem deleteItem = new MenuItem(menu, SWT.NONE);
-//	    deleteItem.setText("Delete");
-//
-	    // sub-menu for selected items
-//	    Menu newMenu = new Menu(menu);
-//	    chartEntityLabelItem.setMenu(newMenu);
-
-//	    MenuItem shortcutItem = new MenuItem(newMenu, SWT.NONE);
-//	    shortcutItem.setText("Shortcut");
-//	    MenuItem iconItem = new MenuItem(newMenu, SWT.NONE);
-//	    iconItem.setText("Icon");
-	    
-	    this.contextMenus.set(EventCallBack.AREA_ITEM, menu);
+		// Menu menu = new Menu(this);
+		// MenuItem chartEntityLabelItem = new MenuItem(menu, SWT.NONE);
+		// chartEntityLabelItem.setText(""); // this string is dedicated to be overridden by the current selected chart entity label/name
+		
+		// FIXME : tests
+		// MenuItem refreshItem = new MenuItem(menu, SWT.NONE);
+		// refreshItem.setText("Refresh");
+		// MenuItem deleteItem = new MenuItem(menu, SWT.NONE);
+		// deleteItem.setText("Delete");
+		//
+		// sub-menu for selected items
+		// Menu newMenu = new Menu(menu);
+		// chartEntityLabelItem.setMenu(newMenu);
+		
+		// MenuItem shortcutItem = new MenuItem(newMenu, SWT.NONE);
+		// shortcutItem.setText("Shortcut");
+		// MenuItem iconItem = new MenuItem(newMenu, SWT.NONE);
+		// iconItem.setText("Icon");
+		
+		this.contextMenus.set(EventCallBack.AREA_ITEM, menu);
 	}
 	
 	/**
 	 * Defines the current context menu to display on menu event.
+	 * 
 	 * @param index
 	 */
-	public void setCurrentContextMenu(int index)	{
+	public void setCurrentContextMenu(int index) {
 		
 		// Debug
 		Log.finest("ChartComposite.setCurrentContextMenu(): setting menu to " + index + " / " + this.contextMenus.get(index)); //$NON-NLS-1$
@@ -211,25 +216,26 @@
 		this.setMenu(this.contextMenus.get(index));
 	}
 	
-
+	
 	/**
 	 * Gets the menu specified by its index.
+	 * 
 	 * @param index
 	 * @return
 	 */
-	public Menu getContextMenu(int index)	{
+	public Menu getContextMenu(int index) {
 		return this.contextMenus.get(index);
 	}
 	
-
+	
 	/**
 	 * Resets the chart view (zoom, pan, rotation).
 	 */
-	public void resetView()	{
-		if(this.chartComponent != null)	{
+	public void resetView() {
+		if (this.chartComponent != null) {
 			this.chartComponent.resetView();
-
-			if(this.chartComponent.getChartEditor().getResult().needsToSquareOff())	{
+			
+			if (this.chartComponent.getChartEditor().getResult().needsToSquareOff()) {
 				this.chartComponent.squareOff();
 			}
 		}
@@ -240,8 +246,8 @@
 	 * Copies the chart view as image in the clipboard from the specified chart component.
 	 */
 	public abstract void copyChartViewToClipboard();
-
 	
+	
 	/**
 	 * Exports the current view of the composite in the specified file.
 	 * 
@@ -266,41 +272,46 @@
 	
 	/**
 	 * Gets the chart object.
+	 * 
 	 * @return
 	 */
-	public Object getChart()	{
+	public Object getChart() {
 		return this.getChartResult().getChart();
 	};
-
 	
+	
 	/**
 	 * Gets the linked result.
+	 * 
 	 * @return
 	 */
-	public ChartResult getChartResult()	{
+	public ChartResult getChartResult() {
 		return this.chartEditor.getResult();
 	}
 	
 	/**
 	 * Gets the charts engine of the linked result.
+	 * 
 	 * @return
 	 */
-	public ChartsEngine getChartsEngine()	{
+	public ChartsEngine getChartsEngine() {
 		return this.getChartResult().getChartsEngine();
 	}
 	
 	/**
 	 * Zooms the chart view at x and y coordinates.
+	 * 
 	 * @param x
 	 * @param y
 	 * @param zoomIn
 	 */
-	public void zoom(double x, double y, boolean zoomIn)	{
+	public void zoom(double x, double y, boolean zoomIn) {
 		this.chartComponent.zoom(x, y, zoomIn);
 	}
-
+	
 	/**
 	 * Pans the chart view.
+	 * 
 	 * @param chartComponent
 	 * @param srcX
 	 * @param srcY
@@ -308,142 +319,147 @@
 	 * @param dstY
 	 * @param panFactor
 	 */
-	public void pan(double srcX, double srcY, double dstX, double dstY, double panFactor)	{
+	public void pan(double srcX, double srcY, double dstX, double dstY, double panFactor) {
 		this.chartComponent.pan(srcX, srcY, dstX, dstY, panFactor);
 	}
-
+	
 	/**
-	 *  Constrains axes ticks to square aspect ratio.
+	 * Constrains axes ticks to square aspect ratio.
 	 */
-	public void squareOff()	{
-		if(this.chartComponent != null)	{
+	public void squareOff() {
+		if (this.chartComponent != null) {
 			this.chartComponent.squareOff();
 		}
 	}
-
+	
 	/**
 	 * Checks if the composite AND the chart component have the focus.
+	 * 
 	 * @return
 	 */
-	public boolean hasFocus()	{
+	public boolean hasFocus() {
 		return this.chartComponent.hasFocus() && this.isFocusControl();
 	}
 	
 	/**
 	 * Gets the mouse call back handler registered for the chart component.
+	 * 
 	 * @return
 	 */
 	public abstract EventCallBackHandler getMouseCallBackHandler();
-
-
+	
+	
 	/**
 	 * Gets the key call back handler registered for the chart component.
+	 * 
 	 * @return
 	 */
 	public abstract EventCallBackHandler getKeyCallBackHandler();
-
-
+	
+	
 	/**
 	 * Gets the mouse call back handler registered for the specified component.
+	 * 
 	 * @param component
 	 * @return
 	 */
 	public EventCallBackHandler getMouseCallBackHandler(Component component) {
 		EventCallBackHandler handler = null;
 		EventListener[] listeners = component.getMouseListeners();
-
-		for(int i = 0; i < listeners.length; i++) {
-			if(listeners[i] instanceof EventCallBackHandler)	{
+		
+		for (int i = 0; i < listeners.length; i++) {
+			if (listeners[i] instanceof EventCallBackHandler) {
 				handler = (EventCallBackHandler) listeners[i];
 				break;
 			}
 		}
 		return handler;
 	}
-
-
+	
+	
 	/**
 	 * Gets the key call back handler registered for the specified component.
+	 * 
 	 * @param component
 	 * @return
 	 */
 	public EventCallBackHandler getKeyCallBackHandler(Component component) {
 		EventCallBackHandler handler = null;
 		EventListener[] listeners = component.getKeyListeners();
-
-		for(int i = 0; i < listeners.length; i++) {
-			if(listeners[i] instanceof EventCallBackHandler)	{
+		
+		for (int i = 0; i < listeners.length; i++) {
+			if (listeners[i] instanceof EventCallBackHandler) {
 				handler = (EventCallBackHandler) listeners[i];
 				break;
 			}
 		}
 		return handler;
 	}
-
+	
 	/**
 	 * Gets the event call back handler of the specified class.
+	 * 
 	 * @param listenerType
 	 * @return
 	 */
-	public EventCallBackHandler getCallBackHandler(Class listenerType)	{
+	public EventCallBackHandler getCallBackHandler(Class listenerType) {
 		EventCallBackHandler handler = null;
 		EventListener[] listeners = ((Component) this.chartComponent).getListeners(listenerType);
-
-		for(int i = 0; i < listeners.length; i++) {
-			if(listeners[i] instanceof EventCallBackHandler)	{
+		
+		for (int i = 0; i < listeners.length; i++) {
+			if (listeners[i] instanceof EventCallBackHandler) {
 				handler = (EventCallBackHandler) listeners[i];
 				break;
 			}
 		}
 		return handler;
 	}
-
+	
 	/**
 	 * Initializes the default context menus.
+	 * 
 	 * @param composite
 	 */
-	public void initDefaultContextMenus()	{
+	public void initDefaultContextMenus() {
 		this.initItemAreaContextMenu();
 		this.initEmptyAreaContextMenu();
 		this.setCurrentContextMenu(EventCallBack.AREA_EMPTY);
 	}
-
 	
+	
 	/**
 	 * Registers user entries event call back extensions.
 	 */
-	public void registerEventCallBackExtensions()	{
+	public void registerEventCallBackExtensions() {
 		
 		ChartResult result = this.chartEditor.getResult();
 		
 		String extensionPointId = "org.txm.chartsengine.eventcallback"; //$NON-NLS-1$
 		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(extensionPointId);
 		
-		for(int i = 0; i < contributions.length; i++) {
-			if(
-				(
-						contributions[i].getAttribute("chartsEngineName") == null || //$NON-NLS-1$ // for callback that can be used for all charts engine implementations 
-						contributions[i].getAttribute("chartsEngineName").equals(result.getChartsEngine().getName()) //$NON-NLS-1$
-				)
-				&&
-				contributions[i].getAttribute("resultDataClass") != null //$NON-NLS-1$
-				&& contributions[i].getAttribute("resultDataClass").equals(result.getClass().getName()) //$NON-NLS-1$
-				
-				&& ((contributions[i].getAttribute("chartType") == null && result.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) //$NON-NLS-1$
-					||
-					contributions[i].getAttribute("chartType") != null && !result.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) && contributions[i].getAttribute("chartType").equals(result.getChartType()) //$NON-NLS-1$ //$NON-NLS-2$
-					)  //$NON-NLS-1$
-				)
-				
-			)	{
+		for (int i = 0; i < contributions.length; i++) {
+			if ((contributions[i].getAttribute("chartsEngineName") == null || //$NON-NLS-1$ // for callback that can be used for all charts engine implementations
+					contributions[i].getAttribute("chartsEngineName").equals(result.getChartsEngine().getName()) //$NON-NLS-1$
+			)
+					&&
+					contributions[i].getAttribute("resultDataClass") != null //$NON-NLS-1$
+					&& contributions[i].getAttribute("resultDataClass").equals(result.getClass().getName()) //$NON-NLS-1$
+					
+					&& ((contributions[i].getAttribute("chartType") == null && result.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) //$NON-NLS-1$
+							||
+							contributions[i].getAttribute("chartType") != null && !result.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) && contributions[i].getAttribute( //$NON-NLS-1$
+									"chartType").equals(result.getChartType())  //$NON-NLS-1$
+					))
+					
+			) {
 				try {
-					EventCallBack eventCallBack = (EventCallBack)contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
+					EventCallBack eventCallBack = (EventCallBack) contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
 					
 					eventCallBack.setChartEditor(this.chartEditor);
 					
 					EventCallBackHandler mouseHandler = this.getMouseCallBackHandler();
-					if(mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
-
+					if (mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null) {
+						
 						Log.fine("ChartEditor.registerEventCallBackExtensions(): call back of type " + eventCallBack.getClass()  //$NON-NLS-1$
 								+ " registered in mouse handler (chart editor = " + this.chartEditor.getClass()  //$NON-NLS-1$
 								+ ", result data class = " + result.getClass()  //$NON-NLS-1$
@@ -453,7 +469,7 @@
 						mouseHandler.registerEventCallBack(eventCallBack);
 					}
 					EventCallBackHandler keyboardHandler = this.getKeyCallBackHandler();
-					if(keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
+					if (keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null) {
 						
 						Log.fine("ChartEditor.registerEventCallBackExtensions(): call back of type " + eventCallBack.getClass()  //$NON-NLS-1$
 								+ " registered in key handler (chart editor = " + this.chartEditor.getClass()  //$NON-NLS-1$
@@ -464,7 +480,7 @@
 						keyboardHandler.registerEventCallBack(eventCallBack);
 					}
 				}
-				catch(CoreException e) {
+				catch (CoreException e) {
 					e.printStackTrace();
 				}
 				break;
@@ -475,6 +491,7 @@
 	
 	/**
 	 * Gets the chart component dedicated to rendering the chart.
+	 * 
 	 * @return the chartComponent
 	 */
 	public IChartComponent getChartComponent() {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 2719)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 2720)
@@ -64,60 +64,62 @@
  */
 // FIXME: SJ: this class should not used the SWTChartsComponentsProvider but directly the current charts engine
 public class ExportChart extends BaseAbstractHandler {
-
+	
 	private static final String ID = "ExportChart"; //$NON-NLS-1$
-
-
+	
+	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		Object selection = this.getCorporaViewSelectedObject(event);
-
-		if(!(selection instanceof ChartResult))	{
+		
+		if (!(selection instanceof ChartResult)) {
 			return null;
 		}
 		
 		final ChartResult chartResult = (ChartResult) selection;
 		
 		Shell shell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
-
+		
 		final FileDialog dialog = new FileDialog(shell, SWT.SAVE);
-
+		
 		// Create the extensions from the current charts engine supported file formats
 		String extensions[] = new String[SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().size()];
 		int defaultChartFormatIndex = 0;
 		for (int i = 0; i < SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().size(); i++) {
 			extensions[i] = "*." + SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(i); //$NON-NLS-1$
-
+			
 			// Store the default chart export file format index
-			if(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT).equals(SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(i)))	{
+			if (ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT).equals(SWTChartsComponentsProvider.getCurrent()
+					.getChartsEngineSupportedExportFileFormats().get(i))) {
 				defaultChartFormatIndex = i;
 			}
 		}
-
+		
 		dialog.setFilterExtensions(extensions);
 		// Select default chart export file format
 		dialog.setFilterIndex(defaultChartFormatIndex);
-
+		
 		dialog.setOverwrite(true);
-
+		
 		if (LastOpened.getFile(ID) != null) {
 			dialog.setFilterPath(LastOpened.getFolder(ID));
 		}
-
+		
 		dialog.setFileName(chartResult.getValidFileName());
 		
 		if (dialog.open() != null) {
 			StatusLine.setMessage("Exporting chart...");
-
+			
 			String filepath = dialog.getFilterPath() + "/" + dialog.getFileName(); //$NON-NLS-1$
 			final File file = new File(filepath);
-
+			
 			LastOpened.set(ID, file.getParent(), file.getName());
-
+			
 			try {
 				file.createNewFile();
-			} catch (IOException e1) {
+			}
+			catch (IOException e1) {
 				Log.severe(NLS.bind(TXMUIMessages.exportColonCantCreateFileP0ColonP1, file, e1));
 			}
 			if (!file.canWrite()) {
@@ -126,53 +128,59 @@
 			if (!file.isFile()) {
 				Log.severe("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
-
+			
 			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
+				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
 						monitor.beginTask(TXMUIMessages.exporting, 100);
-
+						
 						// compute the result if needed
-						if (!chartResult.hasBeenComputedOnce())	{
+						if (!chartResult.hasBeenComputedOnce()) {
 							chartResult.compute(monitor);
 						}
 						
 						String outputFormat = SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(dialog.getFilterIndex());
-						ChartsEngine.getCurrent().createChartFile(chartResult, file, outputFormat);
-
+						ChartsEngine.getCurrent().exportChart(chartResult, file, 1024, 576, outputFormat);
+						
 						if (file.exists()) {
-
+							
 							Log.info(NLS.bind(TXMUIMessages.p1ExportSavedInFileColonP0, file.getAbsolutePath(), outputFormat.toUpperCase()));
-
+							
 							// Open internal editor in the UI thread
-							if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
+							if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW)) {
 								this.syncExec(new Runnable() {
+									
 									@Override
 									public void run() {
 										OpenGraph.OpenFile(file.getAbsolutePath());
 									}
 								});
 							}
-						} else {
+						}
+						else {
 							System.out.println(NLS.bind(TXMUIMessages.failedToExportInFileP0WithFormatP1, file.getAbsolutePath(), outputFormat));
 						}
-					} catch (ThreadDeath td) {
+					}
+					catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
-					} catch (Exception e) {
+					}
+					catch (Exception e) {
 						org.txm.utils.logger.Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
-					} finally {
+					}
+					finally {
 						monitor.done();
 						JobsTimer.stopAndPrint();
 					}
 					return Status.OK_STATUS;
 				}
 			};
-
+			
 			jobhandler.startJob();
 		}
 		return null;
 	}
-}
\ No newline at end of file
+}
